unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,inifiles;

type
  TForm1 = class(TForm)
    ButtonCreationRaccourci: TButton;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Button2: TButton;
    Button3: TButton;
    Label3: TLabel;
    ButtonTrouverNomFichier: TButton;
    procedure ButtonCreationRaccourciClick(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure ButtonTrouverNomFichierClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation
{$R *.DFM}

//Un fichier Raccourci est un fichier texte qui ressemble  :
{
[InternetShortcut]
URL=http://perso.wanadoo.fr/bardou/michel/

Il a donc la forme d'un fichier INI dont la section est InternetShortcut
et dont la clef URL vaut "le lien URL"
}
procedure CreFicUrl(Url, FicRaccourci :string);
var FIni:TiniFile;
begin
 if UpperCase(extractFileExt(FicRaccourci))<>'.URL' then
     FicRaccourci:=FicRaccourci+'.Url'; // si on a oubli de mettre l'extension on l'ajoute
  try
    FIni:=TiniFile.Create(FicRaccourci);
    FIni.WriteString('InternetShortcut','URL',Url);
  finally
    Fini.Free;
  end;
end;



function TrouverUrl(FicRaccourci:string):string;
var FIni:TiniFile;
begin
  try
    FIni:=TiniFile.Create(FicRaccourci);
    Result:=FIni.ReadString('InternetShortcut','URL','');
  finally
    Fini.Free;
  end;
end;

procedure TForm1.ButtonTrouverNomFichierClick(Sender: TObject);
begin
  ShowMessage(TrouverUrl(Edit2.Text));
end;


procedure TForm1.ButtonCreationRaccourciClick(Sender: TObject);
begin
 CreFicUrl(Edit1.Text,Edit2.Text);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  If Opendialog1.Execute then Edit1.Text:=Opendialog1.FileName;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  If SaveDialog1.Execute then Edit2.Text:=SaveDialog1.Filename;
end;



end.
